#ifndef __WINCE_AYGSHELL_H__
#define __WINCE_AYGSHELL_H__

#include <windows.h>

#ifdef SHELL_AYGSHELL

#include <aygshell.h>

#ifndef SHIDIF_EMPTYMENU
#define SHIDIF_EMPTYMENU            0x0020
#endif

extern BOOL (WINAPI *as_SHInitDialog) (PSHINITDLGINFO pshidi);
extern BOOL (WINAPI *as_SHFullScreen) (HWND hwndRequester, DWORD dwState);
extern BOOL (WINAPI *as_SHDoneButton) (HWND hwndRequester, DWORD dwFlags);
extern BOOL (WINAPI *as_SHCreateMenuBar) (SHMENUBARINFO * pmb);
extern HWND (WINAPI *as_SHFindMenuBar) (HWND hwnd);
extern BOOL (WINAPI *as_SHInitExtraControls) (void);
extern BOOL (WINAPI *as_SHHandleWMSettingChange) (HWND hwnd, WPARAM wParam, LPARAM lParam, SHACTIVATEINFO * psai);
extern BOOL (WINAPI *as_SHHandleWMActivate) (HWND hwnd, WPARAM wParam, LPARAM lParam, SHACTIVATEINFO * psai, DWORD dwFlags);
extern DWORD (WINAPI *as_SHRecognizeGesture) (SHRGINFO *shrg);

void aygshell_init(void);
void aygshell_cleanup(void);

#endif //#ifdef SHELL_AYGSHELL

#endif //#ifndef __WINCE_AYGSHELL_H__

