#ifndef __WINCE_DEVICE_H__
#define __WINCE_DEVICE_H__

#define WINCE_DEV_UNK 1
/* emulators 10+ */
#define WINCE_DEV_EVC4EMU_PC2K3 10 /* Embedded Visual C++ 4.0 Pocket PC 2003 Emulator */
#define WINCE_DEV_VS2K5EMU_PC2K3 11 /* Visual Studio 2005 Pocket PC 2003 SE Emulator */
#define WINCE_DEV_VS2K5EMU_SP2K3 12 /* Visual Studio 2005 Smartphone 2003 SE Emulator */
#define WINCE_DEV_VS2K5EMU_WM5 13 /* Visual Studio 2005 Windows Mobile 5.0 PDA/Phone Emulators */
/* real devices 100+ */
#define WINCE_DEV_FSPL720_PPC2K3SE 100 /* Fujitsu Siemens Pocket Loox 720 PPC2003SE */

struct wince_dev_t {
	int wince_dev;
	wchar_t *wince_dev_str;
	wchar_t *platform;
	wchar_t *oem;
	unsigned long major;
	unsigned long minor;
	unsigned long build_number;
	unsigned long platform_id;
};

BOOL wince_oeminfo(wchar_t *oeminfo, int bufsize);
BOOL wince_platform(wchar_t *platform, int bufsize);
int wince_dev_id(OSVERSIONINFO *osv);
struct wince_dev_t *wince_dev(int dev);

#endif /* #ifndef __WINCE_DEVICE_H__ */